<?php 

	$expert_makeup_artist_custom_style = '';

	// Logo Size
	$expert_makeup_artist_logo_top_padding = get_theme_mod('expert_makeup_artist_logo_top_padding');
	$expert_makeup_artist_logo_bottom_padding = get_theme_mod('expert_makeup_artist_logo_bottom_padding');
	$expert_makeup_artist_logo_left_padding = get_theme_mod('expert_makeup_artist_logo_left_padding');
	$expert_makeup_artist_logo_right_padding = get_theme_mod('expert_makeup_artist_logo_right_padding');

	if( $expert_makeup_artist_logo_top_padding != '' || $expert_makeup_artist_logo_bottom_padding != '' || $expert_makeup_artist_logo_left_padding != '' || $expert_makeup_artist_logo_right_padding != ''){
		$expert_makeup_artist_custom_style .=' .logo {';
			$expert_makeup_artist_custom_style .=' margin-top: '.esc_attr($expert_makeup_artist_logo_top_padding).'px; margin-bottom: '.esc_attr($expert_makeup_artist_logo_bottom_padding).'px; margin-left: '.esc_attr($expert_makeup_artist_logo_left_padding).'px; margin-right: '.esc_attr($expert_makeup_artist_logo_right_padding).'px;';
		$expert_makeup_artist_custom_style .=' }';
	}

	$expert_makeup_artist_logo_size = get_theme_mod('expert_makeup_artist_logo_size');
	if( $expert_makeup_artist_logo_size != '' ) {
		if($expert_makeup_artist_logo_size >= 0 && $expert_makeup_artist_logo_size <= 100) {
			$calculated_width = $expert_makeup_artist_logo_size * 3.5;
			$expert_makeup_artist_custom_style .= ' .custom-logo-link img {';
			$expert_makeup_artist_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$expert_makeup_artist_custom_style .= ' }';
		}
	}

	// Header Image
	$header_image_url = expert_makeup_artist_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$expert_makeup_artist_custom_style .=' #inner-pages-header {';
			$expert_makeup_artist_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$expert_makeup_artist_custom_style .=' }';
		$expert_makeup_artist_custom_style .=' .header-overlay {';
			$expert_makeup_artist_custom_style .=' position: absolute; 	width: 100%; height: 100%; 	top: 0; left: 0; background: #000; opacity: 0.3;';
		$expert_makeup_artist_custom_style .=' }';
	} else {
		$expert_makeup_artist_custom_style .=' #inner-pages-header {';
			$expert_makeup_artist_custom_style .=' background:linear-gradient(0deg,#ccc,#0a0607 80%) no-repeat; ';
		$expert_makeup_artist_custom_style .=' }';
	}

	$expert_makeup_artist_slider_hide_show = get_theme_mod('expert_makeup_artist_slider_hide_show',false);
	if( $expert_makeup_artist_slider_hide_show == true){
		$expert_makeup_artist_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$expert_makeup_artist_custom_style .=' display:none;';
		$expert_makeup_artist_custom_style .=' }';
	}

	// Site Title Font Size
	$expert_makeup_artist_site_title_fontsize = get_theme_mod('expert_makeup_artist_site_title_fontsize');
	if( $expert_makeup_artist_site_title_fontsize != ''){
		$expert_makeup_artist_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$expert_makeup_artist_custom_style .=' font-size: '.esc_attr($expert_makeup_artist_site_title_fontsize).'px;';
		$expert_makeup_artist_custom_style .=' }';
	}

	$expert_makeup_artist_site_title_color = get_theme_mod('expert_makeup_artist_site_title_color');
	if ( $expert_makeup_artist_site_title_color != '') {
		$expert_makeup_artist_custom_style .=' p.topbar-text {';
			$expert_makeup_artist_custom_style .=' color:'.esc_attr($expert_makeup_artist_site_title_color).';';
		$expert_makeup_artist_custom_style .=' }';
	}

	// Site Title Font Size
	$expert_makeup_artist_site_tagline_fontsize = get_theme_mod('expert_makeup_artist_site_tagline_fontsize');
	if( $expert_makeup_artist_site_tagline_fontsize != ''){
		$expert_makeup_artist_custom_style .=' .logo p.site-description {';
			$expert_makeup_artist_custom_style .=' font-size: '.esc_attr($expert_makeup_artist_site_tagline_fontsize).'px;';
		$expert_makeup_artist_custom_style .=' }';
	}

	$expert_makeup_artist_site_tagline_color = get_theme_mod('expert_makeup_artist_site_tagline_color');
	if ( $expert_makeup_artist_site_tagline_color != '') {
		$expert_makeup_artist_custom_style .=' p.site-description {';
			$expert_makeup_artist_custom_style .=' color:'.esc_attr($expert_makeup_artist_site_tagline_color).';';
		$expert_makeup_artist_custom_style .=' }';
	}

	//layout width
	$expert_makeup_artist_boxfull_width = get_theme_mod('expert_makeup_artist_boxfull_width');
	if ($expert_makeup_artist_boxfull_width !== '') {
		switch ($expert_makeup_artist_boxfull_width) {
			case 'container':
				$expert_makeup_artist_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$expert_makeup_artist_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$expert_makeup_artist_dropdown_anim = get_theme_mod('expert_makeup_artist_dropdown_anim');

	if ( $expert_makeup_artist_dropdown_anim != '') {
		$expert_makeup_artist_custom_style .=' .nav-menu ul ul {';
			$expert_makeup_artist_custom_style .=' animation:'.esc_attr($expert_makeup_artist_dropdown_anim).' 1s ease;';
		$expert_makeup_artist_custom_style .=' }';
	}

	//Slider color
	$expert_makeup_artist_slider_fontsize = get_theme_mod('expert_makeup_artist_slider_fontsize');
	if( $expert_makeup_artist_slider_fontsize != ''){
		$expert_makeup_artist_custom_style .=' #slider h2 {';
			$expert_makeup_artist_custom_style .=' font-size: '.esc_attr($expert_makeup_artist_slider_fontsize).'px;';
		$expert_makeup_artist_custom_style .=' }';
	}

	$expert_makeup_artist_slider_text_fontsize = get_theme_mod('expert_makeup_artist_slider_text_fontsize');
	if( $expert_makeup_artist_slider_text_fontsize != ''){
		$expert_makeup_artist_custom_style .=' #slider p {';
			$expert_makeup_artist_custom_style .=' font-size: '.esc_attr($expert_makeup_artist_slider_text_fontsize).'px;';
		$expert_makeup_artist_custom_style .=' }';
	}

	$expert_makeup_artist_slider_title_color = get_theme_mod('expert_makeup_artist_slider_title_color');
	if ( $expert_makeup_artist_slider_title_color != '') {
		$expert_makeup_artist_custom_style .=' #slider h2 a {';
			$expert_makeup_artist_custom_style .=' color:'.esc_attr($expert_makeup_artist_slider_title_color).';';
		$expert_makeup_artist_custom_style .=' }';
	}

	$expert_makeup_artist_slider_text_color = get_theme_mod('expert_makeup_artist_slider_text_color');
	if ( $expert_makeup_artist_slider_text_color != '') {
		$expert_makeup_artist_custom_style .=' #slider p {';
			$expert_makeup_artist_custom_style .=' color:'.esc_attr($expert_makeup_artist_slider_text_color).';';
		$expert_makeup_artist_custom_style .=' }';
	}

	$expert_makeup_artist_slider_btn_color = get_theme_mod('expert_makeup_artist_slider_btn_color');
	$expert_makeup_artist_slider_btnbg_color = get_theme_mod('expert_makeup_artist_slider_btnbg_color');
	if ( $expert_makeup_artist_slider_btn_color != '') {
		$expert_makeup_artist_custom_style .=' #slider a.getstarted-btn {';
			$expert_makeup_artist_custom_style .=' color:'.esc_attr($expert_makeup_artist_slider_btn_color).'; background-color:'.esc_attr($expert_makeup_artist_slider_btnbg_color).';';
		$expert_makeup_artist_custom_style .=' }';
	}

	//About css
	$expert_makeup_artist_section_title_fontsize = get_theme_mod('expert_makeup_artist_section_title_fontsize');
	if( $expert_makeup_artist_section_title_fontsize != ''){
		$expert_makeup_artist_custom_style .=' #about-section h3 {';
			$expert_makeup_artist_custom_style .=' font-size: '.esc_attr($expert_makeup_artist_section_title_fontsize).'px;';
		$expert_makeup_artist_custom_style .=' }';
	}

	$expert_makeup_artist_about_color = get_theme_mod('expert_makeup_artist_about_color');
	if ( $expert_makeup_artist_about_color != '') {
		$expert_makeup_artist_custom_style .=' #about-section h4 {';
			$expert_makeup_artist_custom_style .=' color:'.esc_attr($expert_makeup_artist_about_color).';';
		$expert_makeup_artist_custom_style .=' }';
	}

	$expert_makeup_artist_aboutbdr_color = get_theme_mod('expert_makeup_artist_aboutbdr_color');
	if ( $expert_makeup_artist_aboutbdr_color != '') {
		$expert_makeup_artist_custom_style .=' #about-section h3:after {';
			$expert_makeup_artist_custom_style .=' border-color:'.esc_attr($expert_makeup_artist_aboutbdr_color).';';
		$expert_makeup_artist_custom_style .=' }';
	}

	$expert_makeup_artist_about_title_color = get_theme_mod('expert_makeup_artist_about_title_color');
	if ( $expert_makeup_artist_about_title_color != '') {
		$expert_makeup_artist_custom_style .=' #about-section h4 {';
			$expert_makeup_artist_custom_style .=' color:'.esc_attr($expert_makeup_artist_about_title_color).';';
		$expert_makeup_artist_custom_style .=' }';
	}

	$expert_makeup_artist_about_text_color = get_theme_mod('expert_makeup_artist_about_text_color');
	if ( $expert_makeup_artist_about_text_color != '') {
		$expert_makeup_artist_custom_style .=' #about-section p {';
			$expert_makeup_artist_custom_style .=' color:'.esc_attr($expert_makeup_artist_about_text_color).';';
		$expert_makeup_artist_custom_style .=' }';
	}

	$expert_makeup_artist_about_btn_color = get_theme_mod('expert_makeup_artist_about_btn_color');
	$expert_makeup_artist_about_btnbg_color = get_theme_mod('expert_makeup_artist_about_btnbg_color');
	if ( $expert_makeup_artist_about_btn_color != '') {
		$expert_makeup_artist_custom_style .=' .about-btn a, .read-btn a {';
			$expert_makeup_artist_custom_style .=' color:'.esc_attr($expert_makeup_artist_about_btn_color).'; background-color:'.esc_attr($expert_makeup_artist_about_btnbg_color).';';
		$expert_makeup_artist_custom_style .=' }';
	}